// Original code from the Sonic Adventure style HUD mod by TehRealSalt
if not (rawget(_G, "customhud")) return end

local modname = "tweakedhud"
customhud.SetupItem("lives", modname)

local function stupidGarbage() -- Because some mods like to reset hud enables/disables every tic instead of once (Boss Mayhem... though I'm kinda guilty of it too ^^;)
	if (customhud.CheckType("lives") == modname) hud.disable("lives") end
end

addHook("ThinkFrame", function()
	stupidGarbage()
end)

local screenwidth = 320
local screenheight = 200

local function maniaLives(v, player)
	if (customhud.CheckType("lives") != modname) return end
	if (customhud.CheckEnabled("lives") != true) return end
	
	if not (G_GametypeUsesLives()) return end
	if not ((player and player.valid) and (player.mo and player.mo.valid)) return end
	if not (skins[player.mo.skin] and skins[player.mo.skin].valid) return end
	
	local face = v.getSprite2Patch(player.mo.skin, SPR2_XTRA, (player.powers[pw_super] != 0), 0, 0)
	local xicon = v.cachePatch("STTXICON")
	
	local startx = 51
	local starty = 181
	
	v.drawScaled(16*FRACUNIT, 176*FRACUNIT, FRACUNIT/2, face, V_SNAPTOLEFT|V_SNAPTOBOTTOM|V_PERPLAYER|V_HUDTRANS, v.getColormap(player.mo.skin, player.mo.color))
	v.drawScaled(36*FRACUNIT, 182*FRACUNIT, FRACUNIT/1, xicon, V_SNAPTOLEFT|V_SNAPTOBOTTOM|V_PERPLAYER|V_HUDTRANS)
	customhud.CustomNum(v, 48, 181, player.lives, "STTNUM", 8, 1, V_SNAPTOLEFT|V_SNAPTOBOTTOM|V_PERPLAYER|V_HUDTRANS)
end

local clientplayer

hud.add(function(v, player)
	stupidGarbage()
	if (player.bot) return end

	if not (splitscreen and player != players[0])
		clientplayer = player
	end

	if not (maptol & TOL_NIGHTS)
		maniaLives(v, player)
	end
end, "game")